BizKitHub
DocsAPI ReferenceProduct/bff/product/product-image-update-meta
getProductAdmin BFF

/bff/product/product-image-update-meta

Updates the alt text / title of a gallery image. Alt text is important for SEO and accessibility. Pass an empty string to clear it.

ProductgetBffProductProduct-image-update-meta

Parameters

3 query

Query parameters

· 3
codestringRequired

Product code.

Examplemy-product
imageIdstringRequired

Blob token of the image to update.

Exampleabc123def456
titlestringRequired

New alt text / title for the image (used for SEO and accessibility).

ExampleProduct photo front view

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the metadata was updated.

Response example

application/json
{
  "success": false
}

Request example

GET /bff/product/product-image-update-meta

get
curl -X GET "https://api.bizkithub.com/bff/product/product-image-update-meta?code=my-product&imageId=abc123def456&title=Product%20photo%20front%20view" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key